org.apache.bcel.verifier

## Class VerificationResult

- java.lang.Object
- - org.apache.bcel.verifier.VerificationResult

-     public class VerificationResult
      extends Object

  A VerificationResult is what a PassVerifier returns after verifying.
  Version:
    $Id: VerificationResult.java 1811486 2017-10-08 12:49:43Z dbrosius $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `VERIFIED_NOTYET` Constant to indicate verification has not been tried yet.
    `static int` | `VERIFIED_OK` Constant to indicate verification was passed.
    `static int` | `VERIFIED_REJECTED` Constant to indicate verfication failed.
    `static VerificationResult` | `VR_NOTYET` Canonical VerificationResult for not-yet-tried verifications.
    `static VerificationResult` | `VR_OK` Canonical VerificationResult for passed verifications.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerificationResult(int status, String message)` The usual constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Returns if two VerificationResult instances are equal.
    `String` | `getMessage()` Returns a detailed message.
    `int` | `getStatus()` Returns one of the `VERIFIED_OK`, `VERIFIED_NOTYET`, `VERIFIED_REJECTED` constants.
    `int` | `hashCode()`
    `String` | `toString()` Returns a String representation of the VerificationResult.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### VERIFIED_NOTYET

          public static final int VERIFIED_NOTYET

      Constant to indicate verification has not been tried yet. This happens if some earlier verification pass did not return VERIFIED_OK.
      See Also:
        Constant Field Values

    - #### VERIFIED_OK

          public static final int VERIFIED_OK

      Constant to indicate verification was passed.
      See Also:
        Constant Field Values

    - #### VERIFIED_REJECTED

          public static final int VERIFIED_REJECTED

      Constant to indicate verfication failed.
      See Also:
        Constant Field Values

    - #### VR_NOTYET

          public static final VerificationResult VR_NOTYET

      Canonical VerificationResult for not-yet-tried verifications. This happens if some earlier verification pass did not return `VERIFIED_OK`.

    - #### VR_OK

          public static final VerificationResult VR_OK

      Canonical VerificationResult for passed verifications.

  - ### Constructor Detail

    - #### VerificationResult

          public VerificationResult(int status,
                                    String message)

      The usual constructor.

  - ### Method Detail

    - #### getStatus

          public int getStatus()

      Returns one of the `VERIFIED_OK`, `VERIFIED_NOTYET`, `VERIFIED_REJECTED` constants.

    - #### getMessage

          public String getMessage()

      Returns a detailed message.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code value for the object.

    - #### equals

          public boolean equals(Object o)

      Returns if two VerificationResult instances are equal.
      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Returns a String representation of the VerificationResult.
      Overrides:
        `toString` in class `Object`

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.